package com.tong.redispool;

import redis.clients.jedis.Jedis;

/**
 * @author: tongCheng
 * @Package: jedisPool
 * @ClassName: IRedisPool
 * @date: 2023-10-29 14:29
 * 连接池接口
 **/
public interface IRedisPool {

    /**
     * 连接池初始化
     * @param maxTotal 最大连接数
     * @param maxWaitMillis 最大等待超过时间
     */
    public void init(int maxTotal, long maxWaitMillis);
    /**
     * 获取连接
     * @return
     * @throws Exception
     */
    public Jedis getResource() throws Exception;

    /**
     * 释放连接
     * @param jedis
     */
    public void release(Jedis jedis);
}
